Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserPrivacySettingRule

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserPrivacySettingRule

Direct Known Subclasses:
  `TdApi.UserPrivacySettingRuleAllowAll`, `TdApi.UserPrivacySettingRuleAllowChatMembers`, `TdApi.UserPrivacySettingRuleAllowContacts`, `TdApi.UserPrivacySettingRuleAllowUsers`, `TdApi.UserPrivacySettingRuleRestrictAll`, `TdApi.UserPrivacySettingRuleRestrictChatMembers`, `TdApi.UserPrivacySettingRuleRestrictContacts`, `TdApi.UserPrivacySettingRuleRestrictUsers`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.UserPrivacySettingRule extends TdApi.Object permits TdApi.UserPrivacySettingRuleAllowAll, TdApi.UserPrivacySettingRuleAllowContacts, TdApi.UserPrivacySettingRuleAllowUsers, TdApi.UserPrivacySettingRuleAllowChatMembers, TdApi.UserPrivacySettingRuleRestrictAll, TdApi.UserPrivacySettingRuleRestrictContacts, TdApi.UserPrivacySettingRuleRestrictUsers, TdApi.UserPrivacySettingRuleRestrictChatMembers
This class is an abstract base class. Represents a single rule for managing user privacy settings.

## Constructor Summary

Constructors
Constructor
Description
`UserPrivacySettingRule()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserPrivacySettingRule

public UserPrivacySettingRule()
Default class constructor.